Subject: Re: LiveSalesman & NRS Agreement
From: Saurabh Dadu <[email-masked]>
To: Tzvi Katz <[email-masked]>
Cc: Elie Katz <[email-masked]>, Deeksha Dadu <[email-masked]>, Roxana Gomez <[email-masked]>, Beatriz Galvez <[email-masked]>, Jessica Ovalle <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Mon, 11 Jul 2022 02:22:25 +0000

Dear Tzvi,

We confirm Wednesday 10am. Please send the Google Meet link.

@Ashish Dabral<mailto:[email-masked]> - please align the agents for interview

Time zones for everyone's reference are:

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Tzvi Katz <[email-masked]>
Sent: 09 July 2022 1:13 AM
To: Saurabh Dadu <[email-masked]>
Cc: Elie Katz <[email-masked]>; Deeksha Dadu <[email-masked]>; Roxana Gomez <[email-masked]>; Beatriz Galvez <[email-masked]>; Jessica Ovalle <[email-masked]>
Subject: Re: LiveSalesman & NRS Agreement

Either Tuesday 10 to 11 or Wednesday 10 to 11 or 11 30 to 12 30

On Fri, Jul 8, 2022, 2:06 PM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hi Tzvi,

Thanks for your email. I will be in a plane on Monday. We can aim for any other day of the week.

Please give me 2 time slots for Tuesday and Wednesday based on your availability, and we will try to pick one of them.

Also the earlier in the day the better for us.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Tzvi Katz <[email-masked]<mailto:[email-masked]>>
Sent: 08 July 2022 1:30 AM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Elie Katz <[email-masked]<mailto:[email-masked]>>; Deeksha Dadu <[email-masked]<mailto:[email-masked]>>; Roxana Gomez <[email-masked]<mailto:[email-masked]>>; Beatriz Galvez <[email-masked]<mailto:[email-masked]>>; Jessica Ovalle <[email-masked]<mailto:[email-masked]>>
Subject: Re: LiveSalesman & NRS Agreement

Let's shoot for interviews from 3 to 4pm EST on Monday. Send an invite to myself, Oussama and Roxana. I attached the Arabic script. Make sure they are familiar...

On Thu, Jul 7, 2022 at 2:33 PM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Thanks Elie,

Looking forward to doing great things togather!

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Elie Katz <[email-masked]<mailto:[email-masked]>>
Sent: 08 July 2022 12:02 AM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; Deeksha Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Tzvi Katz <[email-masked]<mailto:[email-masked]>>; Roxana Gomez <[email-masked]<mailto:[email-masked]>>; Beatriz Galvez <[email-masked]<mailto:[email-masked]>>; Jessica Ovalle <[email-masked]<mailto:[email-masked]>>
Subject: Re: LiveSalesman & NRS Agreement

Noted with thanks. I am sorry to hear you let the other 3 go...lets start growing and building with a new team--as mentioned, we don't want to end with 3 hires--it is just the beginning!--Elie

On Thu, Jul 7, 2022 at 12:13 PM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Dear Tzvi,

Following our call yesterday below are points agreed:

  1.  NRS will pay the invoices net 30 days from the date of issue of invoice (which is before the start of the month) payable by end of month.
  2.  NRS will receive a 50% discount on monthly fee for next 3 months.

Please let me know when would you like to schedule the interviews.

Kind regards,

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Tzvi Katz <[email-masked]<mailto:[email-masked]>>
Sent: 06 July 2022 2:39 AM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Elie Katz <[email-masked]<mailto:[email-masked]>>; Deeksha Dadu <[email-masked]<mailto:[email-masked]>>; Roxana Gomez <[email-masked]<mailto:[email-masked]>>; Beatriz Galvez <[email-masked]<mailto:[email-masked]>>; Jessica Ovalle <[email-masked]<mailto:[email-masked]>>
Subject: Re: LiveSalesman & NRS Agreement

Elie wants to discuss before we move forward...will send an invite for 9 45 EST tom

On Tue, Jul 5, 2022 at 9:35 AM Tzvi Katz <[email-masked]<mailto:[email-masked]>> wrote:
Sorry I didn't have a chance to modify the agreement last week. Will get on that and send when ready. Will interview after both parties sign

On Mon, Jul 4, 2022 at 9:14 AM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hi Tzvi,

We have the new agents ready for interviews tomorrow.

What changes did you want in the agreement?

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Saurabh Dadu
Sent: 29 June 2022 11:53 PM
To: Tzvi Katz <[email-masked]<mailto:[email-masked]>>
Cc: Elie Katz <[email-masked]<mailto:[email-masked]>>; Deeksha Dadu <[email-masked]<mailto:[email-masked]>>; Roxana Gomez <[email-masked]<mailto:[email-masked]>>; Beatriz Galvez <[email-masked]<mailto:[email-masked]>>; Jessica Ovalle <[email-masked]<mailto:[email-masked]>>
Subject: Re: LiveSalesman & NRS Agreement

Correct

Regards,

Saurabh Dadu
LiveSalesman

On 29-Jun-2022, at 11:52 PM, Tzvi Katz <[email-masked]<mailto:[email-masked]>> wrote:

I spoke on the phone with Saurabh. We will no longer be able to work with these 3 agents and will resume our relationship anew with Liveslaesman with a whole new contract that NRS will work on Asap. Once signed, we will begin the interview/Onboarding process with 3 new agents that Saurabh is vetting right now. The 1st month of service will be free. Saurabh, is all that correct?

On Wed, Jun 29, 2022 at 1:50 PM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Dear Tzvi,

Are you available to speak now, on next steps.

Also, while we discuss, you are requested to immediately disable the access of the 3 agents to any of your IT resources.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Saurabh Dadu
Sent: 29 June 2022 10:24 PM
To: Tzvi Katz <[email-masked]<mailto:[email-masked]>>
Cc: Elie Katz <[email-masked]<mailto:[email-masked]>>; Deeksha Dadu <[email-masked]<mailto:[email-masked]>>; Roxana Gomez <[email-masked]<mailto:[email-masked]>>; Beatriz Galvez <[email-masked]<mailto:[email-masked]>>; Jessica Ovalle <[email-masked]<mailto:[email-masked]>>
Subject: Re: LiveSalesman & NRS Agreement

Hi Tzvi,

We would do that possibly later. We can have a call with you now on phone if you wish.

Our HR is addressing issues with the agents, which we cannot discuss with you, as mostly are issues internal to the company.

Regards,

Saurabh Dadu
LiveSalesman

On 29-Jun-2022, at 10:22 PM, Tzvi Katz <[email-masked]<mailto:[email-masked]>> wrote:

I want a call with the team so everyone is on the same page on this

On Wed, Jun 29, 2022 at 12:48 PM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Tzvi - Let me call you now on your phone, whats the best number to reach you.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Tzvi Katz <[email-masked]<mailto:[email-masked]>>
Sent: 29 June 2022 10:16 PM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Elie Katz <[email-masked]<mailto:[email-masked]>>; Deeksha Dadu <[email-masked]<mailto:[email-masked]>>; Roxana Gomez <[email-masked]<mailto:[email-masked]>>; Beatriz Galvez <[email-masked]<mailto:[email-masked]>>; Jessica Ovalle <[email-masked]<mailto:[email-masked]>>
Subject: Re: LiveSalesman & NRS Agreement

The changes outlined above should rectify many of the issues. We do not wish to change a successful process. Please let us know a time that works for you

On Wed, Jun 29, 2022 at 12:44 PM Tzvi Katz <[email-masked]<mailto:[email-masked]>> wrote:
Saurabh, let's have a call to discuss this. We are very happy with these three and like you said, it cost us a lot of time and energy to set them up. They are doing well. Let's please have a call and discuss whatever issues you have with them and what can be done to fix it

On Wed, Jun 29, 2022 at 12:10 PM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hi Elie,

I hope you are well. The current set of 3 agents have become a nightmare for us. We have to terminate the 3 of them immediately. There are multiple reasons why the situation came to this point, however we will leave it out.

We will give you replacement agents within next week.

We understand that you had invested time and effort in training these agents, which I understand was a considerable investment. To make up for it, we will not charge you 1 month fee on the new set of hires.

We request you to kindly immediately disable access to any of your company resources, and not to entertain any further communication with them.

I understand your disappointment, I apologise for the inconvenience this has caused you.

Kind regards,

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Sent: 29 June 2022 9:36 AM
To: Elie Katz <[email-masked]<mailto:[email-masked]>>; Deeksha Dadu <[email-masked]<mailto:[email-masked]>>; Tzvi Katz <[email-masked]<mailto:[email-masked]>>
Subject: Re: LiveSalesman & NRS Agreement

Dear Elie,

I hope you are doing well.

To give you a background:

  1.  All the accounts that we work at, the client is not involved in any management what so ever at all. They are all run and managemed by our teams. However it seems that your expectations of running and managing a team are different. This means agents feel the conflict having many managers. We respect the way you want to run this.
  2.  Working from office was a requirement that was shared by Tzvi in our very initial interactions, and hence we hired these agents. For WFH agents, we had a lot bigger pool available.

Answers to your points

  *   If you want to manage them directly, please go ahead and do it. We will not interfere in your day to day management of these agents, you are free to manage them however you deem fit, however that also means that responsibility of managing them is completely yours.
  *   Them working from home, we have no issues, however we will not accept responsibility if the agent does not log in on time. We have noticed several issues with WFH agents, example power interruptions, internet interruptions, dogs in the background. I am sure you understand that we cannot accept responsibilities for such issues. We will move them work from home in 2 working days.
  *   If you are going to manage them, we don't need the daily call reports or productivity reports.
  *   You will send us a monthly commission report, we will send you an invoice, you will confirm the invoice and we will pay the comission. The invoice will be due 7 days.

I hope this remediates all the deficiencies.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Elie Katz <[email-masked]<mailto:[email-masked]>>
Sent: 29 June 2022 3:11 AM
To: Deeksha Dadu <[email-masked]<mailto:[email-masked]>>; Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Subject: LiveSalesman & NRS Agreement

Good afternoon Deeksha and Saurabh,

                We have received a number of complaints from some of the VA's, and we would like to terminate our agreement per the 30 day cancellation notice set forth in the agreement. With that said, if you can remediate the following deficiencies by July 5, 2022. We would consider maintaining the service. Otherwise, the agreement will be terminated effective August 1, 2022:

1) NRS will send nightly reports on the number of calls submitted daily by each agent. We ask that LiveSalesman leave the internal call management of the agents to NRS.

2) We ask that the agents be given leave to work from home. Traveling long distances will not increase productivity. Again, you will be sent a daily report on their calls

3) $35 Commissions, which we already spoke about, will be given by Livesalesman and invoiced to us for reimbursement, with an additional 7% added for Livesalesman.

Thank you,